Download it now!
Bug 113393 - SAL WARN: caught exception while trying to access Thumbnail/thumbnail.png when the Impress Template selector opens
Summary: SAL WARN: caught exception while trying to access Thumbnail/thumbnail.png whe...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2017-10-24 07:42 UTC by Telesto
Modified: 2020-08-13 21:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-10-24 07:42:43 UTC
Description:
SAL WARN: caught exception while trying to access Thumbnail/thumbnail.png when the Impress Template selector opens

Steps to Reproduce:
1. Open a debug build of LibO in a (cygwin) terminal
2. Open Impress

Actual Results:  
warn:sfx:4692:1360:sfx2/source/control/thumbnailview.cxx:1259: caught exceptio                                                                                  n while trying to access Thumbnail/thumbnail.png of file:///C:/LibOX6422okt/sh                                                                                  are/template/common/styles/Default.ott: class com::sun::star::uno::Exception m                                                                                  sg: C:/cygwin/home/tinderbox/master/package/source/xstor/xstorage.cxx:2372:
warn:sfx:4692:1360:sfx2/source/control/thumbnailview.cxx:1286: caught exceptio                                                                                  n while trying to access Thumbnails/thumbnail.png of file:///C:/LibOX6422okt/s                                                                                  hare/template/common/styles/Default.ott: class com::sun::star::uno::Exception                                                                                   msg: C:/cygwin/home/tinderbox/master/package/source/xstor/xstorage.cxx:2372:
warn:sfx:4692:1360:sfx2/source/control/thumbnailview.cxx:1259: caught exceptio                                                                                  n while trying to access Thumbnail/thumbnail.png of file:///C:/LibOX6422okt/sh                                                                                  are/template/common/styles/Modern.ott: class com::sun::star::uno::Exception ms                                                                                  g: C:/cygwin/home/tinderbox/master/package/source/xstor/xstorage.cxx:2372:
warn:sfx:4692:1360:sfx2/source/control/thumbnailview.cxx:1286: caught exceptio                                                                                  n while trying to access Thumbnails/thumbnail.png of file:///C:/LibOX6422okt/s                                                                                  hare/template/common/styles/Modern.ott: class com::sun::star::uno::Exception m                                                                                  sg: C:/cygwin/home/tinderbox/master/package/source/xstor/xstorage.cxx:2372:
warn:legacy.tools:4692:1360:sfx2/source/control/bindings.cxx:1749: No cache fo                                                                                  r OfficeDispatch!
warn:legacy.tools:4692:1360:sfx2/source/control/bindings.cxx:1749: No cache fo                                                                                  r OfficeDispatch!
warn:legacy.tools:4692:1360:sfx2/source/control/bindings.cxx:1749: No cache fo                                                                                  r OfficeDispatch!
warn:legacy.tools:4692:1360:sfx2/source/control/bindings.cxx:1749: No cache fo                                                                                  r OfficeDispatch!

Expected Results:
it probably shouldn't happen 


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 6.0.0.0.alpha1+
Build ID: 380d6afe5fd691f6ad4b17fc38b79b9fca4ba906
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-10-22_09:58:27
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xisco Faulí 2017-10-24 20:24:07 UTC
> Expected Results:
> it probably shouldn't happen 

Probably?
it's just a Warning. Please ask in the dev irc channel to see whether it should happen first. Moving to NEEDINFO meanwhile
Comment 2 Maxim Monastirsky 2017-10-24 20:43:56 UTC
Inability to read a thumbnail from a file that doesn't have a thumbnail is harmless... IMHO it shouldn't be a SAL_WARN, SAL_INFO at most.
Comment 3 QA Administrators 2018-10-25 03:03:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug